# salt.returners.telegram_return

Return salt data via Telegram.

The following fields can be set in the minion conf file:

    telegram.chat_id (required)
    telegram.token (required)

Telegram settings may also be configured as:

    telegram:
      chat_id: 000000000
      token: 000000000:xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

To use the Telegram return, append '--return telegram' to the salt command.

    salt '*' test.ping --return telegram

salt.returners.telegram_return.returner(ret)

  Send a Telegram message with the data.

  Parameters:

    ret -- The data to be sent.

  Returns:

    Boolean if message was sent successfully.